All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
n-times-derivable-function.hh File Reference
`#include <roboptim/core/sys.hh>`
`#include <roboptim/core/debug.hh>`
`#include <boost/static_assert.hpp>`
`#include <roboptim/core/fwd.hh>`
`#include <roboptim/core/twice-differentiable-function.hh>`
`#include <roboptim/core/n-times-derivable-function.hxx>`

## Classes

class | roboptim::NTimesDerivableFunction< DerivabilityOrder >
| Define a function, derivable n times ( ). More...
class | roboptim::NTimesDerivableFunction< 2 >
| Explicit specialization for the stop case of NTimesDerivable class. More...
class | roboptim::NTimesDerivableFunction< DerivabilityOrder >
| Define a function, derivable n times ( ). More...

## Namespaces

| roboptim
| Meta-functions, functions and solvers related classes.